/**标准清单操作相关
 * Created by Zhong on 2017/8/2.
 */
let billsController = require("./bills_lib_controllers");
import baseController from "../../common/base/base_controller";

class billsPermContr extends baseController{
    getCurrentUniqId(req, res){
        billsController.getCurrentUniqId(req, res);
    }
    getBills(req, res){
        billsController.getBills(req, res);
    }
    createBills(req, res){
        billsController.createBills(req, res);
    }
    updatePNId(req, res){
        billsController.updatePNId(req, res);
    }
    upMove(req, res){
        billsController.upMove(req, res);
    }
    downMove(req, res){
        billsController.downMove(req, res);
    }
    upLevel(req, res){
        billsController.upLevel(req, res);
    }
    downLevel(req, res){
        billsController.downLevel(req, res);
    }
    updateBills(req, res){
        billsController.updateBills(req, res);
    }
    updateBillsArr(req, res){
        billsController.updateBillsArr(req, res);
    }
    removeTotal(req, res){
        billsController.removeTotal(req, res);
    }
    updateSerialNo(req, res){
        billsController.updateSerialNo(req, res);
    }
    pasteBills(req, res){
        billsController.pasteBills(req, res);
    }
    updateRecharge(req, res){
        billsController.updateRecharge(req, res);
    }
    pasteRel(req, res){
        billsController.pasteRel(req, res);
    }
    deleteBills(req, res){
        billsController.deleteBills(req, res);
    }
    getStdBillsByCode(req, res) {
        billsController.getStdBillsByCode(req, res);
    }

}

export default billsPermContr;